﻿using System;
using System.Collections.Generic;

namespace dIRca.Data
{
    public class Channel : IMessagesView
    {
        public string Name { get; set; }
        public string Topic { get; set; }
        // Bans, Exempts, Invites
        public List<string> NickNames { get; set; }
        public List<Message> Messages { get; set; }
        // Commands (Mapping, etc)
        public bool IsOnlyOpsSetTopic { get; set; }
        public bool IsNoExternalMessages { get; set; }
        public bool IsInviteOnly { get; set; }
        public bool IsModerated { get; set; }
        public bool IsKeyed { get; set; }
        public string Key { get; set; }
        public bool IsLimited { get; set; }
        public int LimitCount { get; set; }
        public bool IsPrivate { get; set; }
        public bool IsSecret { get; set; }

        public Channel()
        {
            NickNames = new List<string>();
            Messages = new List<Message>();
        }
    }
}
