﻿using System.Collections.Generic;

namespace dIRca.Data.Settings
{
    public class Network
    {
        public string Name { get; set; }
        // Auto Identify
        public bool IsIdentifyEnabled { get; set; }
        /// <summary>
        /// Stored as a nickname/password pair (hopefully the password can be secured looking at 7pass source?)
        /// </summary>
        public Dictionary<string, string> IdenfityNickNames { get; set; }
        /// <summary>
        /// NickServ Identify <![CDATA[<pass>]]>
        /// </summary>
        public string IdentifyCommand { get; set; }
        // Perform
        public string PerformCommands { get; set; }
        public List<string> PerformCommandsList { get; set; }
        // Auto Join
        public bool IsJoinEnabled { get; set; }
        public string JoinChannels { get; set; }
        public int JoinDelay { get; set; }
    }
}
