﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="NetworkType.cs" company="XamlNinja">
//   2011 Richard Griffin and Ollie Riches
// </copyright>
// <summary>
//   The network type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace dIRca.Extras
{
    /// <summary>
    /// The network type.
    /// </summary>
    public enum NetworkType
    {
        /// <summary>
        /// The undefined - network type is unknown.
        /// </summary>
        Undefined, 

        /// <summary>
        /// The none.
        /// </summary>
        None, 

        /// <summary>
        /// The wireless.
        /// </summary>
        Wireless, 

        /// <summary>
        /// The ethernet.
        /// </summary>
        Ethernet, 

        /// <summary>
        /// The cdma.
        /// </summary>
        Cdma, 

        /// <summary>
        /// The gsm.
        /// </summary>
        Gsm
    }
}
