﻿using System.Collections.Generic;

namespace dIRca.Data.Settings
{
    public class Client : IClient
    {
        public bool ConnectOnStartup { get; set; }
        public bool ReconnectOnDisconnect { get; set; }
        public int DefaultPort { get; set; }
        public bool IsTimeStamped { get; set; }
        public string TimeStampFormat { get; set; }
        public int WindowBuffer { get; set; }
        public bool AutoScrollOnOutput { get; set; }
        public List<Server> Servers { get; set; }
        public List<Network> Networks { get; set; }
        public User User { get; set; }

        public Client()
        {
            Servers = new List<Server>();
            Networks = new List<Network>();
        }
    }
}
